XMLHandlerConfigurator (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render

## Class XMLHandlerConfigurator

- java.lang.Object
- - org.apache.fop.render.AbstractRendererConfigurator
  - - org.apache.fop.render.XMLHandlerConfigurator

-     public class XMLHandlerConfigurator
      extends AbstractRendererConfigurator

  Configurator for XMLHandler objects.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.commons.logging.Log` | `log` logger instance

    - ### Fields inherited from class org.apache.fop.render.AbstractRendererConfigurator

      `userAgent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLHandlerConfigurator(FOUserAgent userAgent)` Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(RendererContext context, String ns)` Configures renderer context by setting the handler configuration on it.

    - ### Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.apache.commons.logging.Log log

      logger instance

  - ### Constructor Detail

    - #### XMLHandlerConfigurator

          public XMLHandlerConfigurator(FOUserAgent userAgent)

      Default constructor
      Parameters:
        `userAgent` - the user agent

  - ### Method Detail

    - #### configure

          public void configure(RendererContext context,
                                String ns)
                         throws FOPException

      Configures renderer context by setting the handler configuration on it.
      Parameters:
        `context` - the RendererContext (contains the user agent)
        `ns` - the Namespace of the foreign object
      Throws:
        `FOPException` - if configuring the target objects fails

Copyright © 2025 Apache Software Foundation. All rights reserved.